<?php
/*
Plugin Name: TSW Custom Payment
Plugin URI: https://themes.tradesouthwest.com/plugins/TSW-Custom-Profile/
Description: Custom payment plugin extension for tsw-custom-listings.
Author: Larry Judd Oliver
Author URI: http://tradesouthwest.com/
Version: 1.0.0
License: GNU General Public License v3.0
License URI: http://www.opensource.org/licenses/gpl-license.php
*/

/*  Copyright 2014  Tradesouthwest  (email : larry@tradesouthwest.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 3, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
    
*/
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
/**
 * tsw custom listing payment addon.
 * 
 * This function creates a payment method for WordPress plugin tsw-custom-listing.
 * Here is a great resource for sandbox testing: http://premium.wpmudev.org/blog/how-to-test-wordpress-plugins-with-paypal-sandbox/
 * @since 1.0.0
 *
 */
// create custom payment portal html
add_action( 'init', 'tsw_payment_portal' );
function tsw_payment_portal() {
    if (current_user_can('update_plugins')) {
    register_post_type( 'payment-html',
    array( 'labels' => array( 
        'name'               => 'Payment HTML',
        'singular_name'      => 'Payment HTML Code',
        'add_new'            => 'Add New',
        'add_new_item'       => 'Add Code from Paypal',
        'edit_item'          => 'Add Code in Text Mode',
        'new_item'           => 'New Code',
        'view_item'          => 'View Code',
        'search_items'       => 'Search Code',
        'not_found'          => 'No Code found',
        'not_found_in_trash' => 'No Code found in Trash',
        'parent_item_colon'  => '',
        'menu_name'          => 'Payment Config'
        ),
        'hierarchical'  => false,
        'description'   => 'Add Your Payment Code from Paypal',
        'supports' => array( 'title', 'editor', 'administrator', 'thumbnail' ),
        'taxonomies' => array(),
        'public' => false,
        'show_ui' => true,
        'show_in_menu' => true,
        'menu_position' => 50,
        'menu_icon' => get_template_directory_uri() . '/include/images/icon_pin24.png',
        'show_in_nav_menus' => false,
        'publicly_queryable' => false,
        'exclude_from_search' => true,
        'has_archive' => false,
        'map_meta_cap' => true,
	'hierarchical' => true,
        'rewrite' => false,
        'query_var' => true,
	'delete_with_user' => false,
        'can_export' => true,
        'capability_type' => 'post',
        )
    ); 
  }
}
	
?>